---
name: Michael Balzer
locality:
country: Remote
role: <a href="">Solutions Architect</a>
reports_to: timpoffenbarger
picture: "../gitlab-logo-extra-whitespace.png"
pronouns:
pronunciation:
twitter:
linkedin:
gitlab: mbalzer
departments:
- SA
specialty: ''
expertise:
story:
job_title: Solutions Architect
division: Sales
public: true

